SplineBeamCollection Class

class NXOpen.Motion.SplineBeamCollection

Bases: object

Represents a collection of SplineBeams

To obtain an instance of this class, refer to NXOpen.Motion.MotionManager

New in version NX12.0.0.

Methods

Method Description
CreateSplineBeamBuilder Creates a Motion.SplineBeamBuilder
FindObject Finds the NXOpen.Motion.SplineBeam with the given name.

Method Detail

CreateSplineBeamBuilder

SplineBeamCollection.CreateSplineBeamBuilder

Creates a Motion.SplineBeamBuilder

Signature CreateSplineBeamBuilder(splineBeam)

Parameters:splineBeam (NXOpen.Motion.SplineBeam) – NXOpen.Motion.SplineBeam to be edited, if None then create a new one
Returns:SplineBeamBuilder object
Return type:NXOpen.Motion.SplineBeamBuilder

New in version NX12.0.0.

License requirements: mechanisms (“MECHANISMS”)

FindObject

SplineBeamCollection.FindObject

Finds the NXOpen.Motion.SplineBeam with the given name.

An exception will be thrown if no object can be found with given name.

Signature FindObject(name)

Parameters:name (str) – The name of the NXOpen.Motion.SplineBeam
Returns:NXOpen.Motion.SplineBeam with this name
Return type:NXOpen.Motion.SplineBeam

New in version NX12.0.0.

License requirements: mechanisms (“MECHANISMS”)